%define  major  0
%define libcrontabname %mklibname crontab %major
Name:           zeit
Summary:        Qt frontend to at & crontab CLI utilities
Version:        0.6.0
 
%if 0%{?mageia}
Release:        %mkrel 3
%else
Release:        3
%endif
 
License:        GPLv3
Group:          System/Configuration
URL:            https://github.com/loimu/zeit
Source0:       https://github.com/loimu/zeit/archive/refs/tags/v%{version}.tar.gz
Patch0: zeit-fix-desktop.patch
 
# List of additional build dependencies
#too much KDE exclusive BuildRequires:  lib64kf5auth-devel
BuildRequires:  qtbase5-common-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  cmake
BuildRequires:  qttools5
Requires: libnotify
Requires:       at
Requires:       cronie
 
%description
Qt frontend to crontab and at
 
Features:
Add, edit and delete crontab tasks
Add, edit and delete environment variables for crontab
Add and delete at commands
Alarms and Timers
Optional root actions, PolKit support (KF5Auth and KF5CoreAddons needed)
 
%package -n %{libcrontabname}
Summary:        Zeit libraries
Group:          System/Libraries
 
%description -n %{libcrontabname}
Zeit main system library
 
%prep
%autosetup -n %{name}-%{version} -p1
sed -i "s/\ lib/\ %{_lib}/g" crontablib/CMakeLists.txt
 
%build
%cmake
%cmake_build
 
%install
%cmake_install
install -Dm 0644 %{name}.png -t %{buildroot}%{_datadir}/pixmaps/
 
%find_lang %{name} --with-qt --all-name
 
%clean
rm -rf %buildroot
chmod -R ug+rw %{_rpmdir}
chmod -R ug+rw %{_srcrpmdir}
 
%files
%doc Changelog Readme.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%license Copying
%{_datadir}/%{name}/translations
%{_includedir}/crontablib
 
%files -n %{libcrontabname}
%{_libdir}/*.so*